# Set working directory
setwd("/home/tpx/Documents/02_Work/07_Gene2Disease/01_NCBI")

# Load gene2pubmed-subset file
gene2pubmed <- read.table("02_gene2pubmed-subset.csv", sep = "\t", header = T, check.names = F, stringsAsFactors = F)

# Get the list of PubMed IDs associated with the gene BCL2 (geneID: 596)
pmid.bcl2 <- gene2pubmed$pmid[gene2pubmed$geneID==596]

# Generate a subset of gene2pubmed with PubMed IDs associated with BCL2 and other genes
gene2pubmed.bcl2 <- gene2pubmed[gene2pubmed$pmid %in% pmid.bcl2,]

# How many unique articles and genes are there?
paste0("Number of unique PubMed articles: ", length(unique(gene2pubmed.bcl2$pmid)))
paste0("Number of unique genes: ", length(unique(gene2pubmed.bcl2$geneID)))

# Save the final table locally and investigate
write.table(gene2pubmed.bcl2, "03_gene2pubmed-bcl2.csv", sep = "\t", row.names = F)